// Model: Handles data fetching
const Model = {

    async createUser(name, email, password) {
      const response = await fetch(`http://127.0.0.1:8000/create_user`, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({ user_name: name, user_email: email, user_password: password }),
      });
      return response.json();
    },

    async fetchProducts() {
      const response = await fetch('http://127.0.0.1:8000/view_products');
      return response.json();
    },
  
    async fetchProduct(productId) {
      const response = await fetch(`http://127.0.0.1:8000/view_product/`, {
        method: 'POST',
        headers: {
          'Content-Type': 'application/json',
        },
        body: JSON.stringify({ product_id: productId }),
      });
      return response.json();
    },
  };