from typing import Optional

#dependency imports
from entities.user import User

class IUserRepository:
    def create_user(self, user_name: str, user_email: str, user_password: str) -> Optional[User]:
        """
        Abstract method to fetch product data by ID.
        """
        raise NotImplementedError("get_product_by_id must be implemented by a subclass")